import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceGetSlaughterLetter = createAsyncThunk(
  "PROVINCE_GET_SLAUGHTER_LETTER",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "poultry_request_letter_order_code/?date=" + d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
